Change PHP allocation settings for a premium staging environment
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/change-environment-php-allocation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thread_count": 2,
"thread_memory": 256
}
'{
"operation_id": "environments:change-environment-php-allocation-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Environment PHP allocation change in progress",
"status": 202
}WordPress Site Environments
Change PHP allocation settings for a premium staging environment
POST
/
sites
/
environments
/
{env_id}
/
change-environment-php-allocation
Change PHP allocation settings for a premium staging environment
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/change-environment-php-allocation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thread_count": 2,
"thread_memory": 256
}
'{
"operation_id": "environments:change-environment-php-allocation-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Environment PHP allocation change in progress",
"status": 202
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response
Environment PHP allocation change action started. Check MyKinsta for status
⌘I